Search documentation of wx

# View Source wxMessageDialog (wx v2.4.2)

Functions for wxMessageDialog class

This class represents a dialog that shows a single or multi-line message, with a choice of OK, Yes, No and Cancel buttons.

Styles

This class supports the following styles:

See: Overview cmndlg

See: `wxRichMessageDialog` (not implemented in wx)

This class is derived (and can use functions) from: `wxDialog` `wxTopLevelWindow` `wxWindow` `wxEvtHandler`

wxWidgets docs: wxMessageDialog

# Summary

## Types

wxMessageDialog()

## Functions

destroy(This)

Destroys the object.

new(Parent, Message)
new/3

Constructor specifying the message box properties.

# Types

Link to this type

# wxMessageDialog()

View Source

    -type wxMessageDialog() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxMessageDialog()) -> ok.

Destroys the object.

Link to this function

# new(Parent, Message)

View Source

    -spec new(Parent, Message) -> wxMessageDialog()
                 when Parent :: wxWindow:wxWindow(), Message :: unicode:chardata().

Link to this function

# new/3

View Source

    -spec new(Parent, Message, [Option]) -> wxMessageDialog()
                 when
                     Parent :: wxWindow:wxWindow(),
                     Message :: unicode:chardata(),
                     Option ::
                         {caption, unicode:chardata()} |
                         {style, integer()} |
                         {pos, {X :: integer(), Y :: integer()}}.

Constructor specifying the message box properties.

Use `wxDialog:showModal/1` to show the dialog.

`style` may be a bit list of the identifiers described above.

Notice that not all styles are compatible: only one of `wxOK` and `wxYES_NO` may be specified (and one of them must be specified) and at most one default button style can be used and it is only valid if the corresponding button is shown in the message box.